
What is EchoArea?
~~~~~~~~~~~~~~~~~
EchoArea is  a part  of the Ezycom mail processor.  It is used
to update  and maintain  your echomail profile without needing
to bother your host with requests - EchoArea will process them
automatically.


How to use EchoArea.
~~~~~~~~~~~~~~~~~~~~
To access  EchoArea send  a  netmail  message  to  your  host,
addressed to EchoArea.  EchoArea will also respond to messages
for AreaFix and AreaMgr.

Eg.  To: EchoArea, 3:633/374

To  safeguard  your  echomail  profile,  you  must  specify  a
password on  the subject  line of the netmail message.  If you
don't have  a password,  or you  don't know  what it  is  then
contact your host.

Eg.  To: EchoArea, 3:633/374
     Re: foo


Echomail profile maintenance.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
EchoArea's main  use is  to add/remove  your node to/from your
host's export  list.  To do this, you simply tell EchoArea the
area tag of the conference you want to pick up or drop.

For example, to add the Ezycom support conference (EC_SUPPORT)
to your system you would send a message like:

     To: EchoArea, 3:633/374
     Re: foo
     ----------------------------------------
     +EC_SUPPORT

Note that the '+' sign in front of the name is optional.

To remove  a conference  is very  similar, only  you put a '-'
sign in  front of  the conference  name instead  of a '+'.  In
this case the prefix is not optional.  For example, to get rid
of an  echo you  are no  longer interested  in send  a message
like:

     To: EchoArea, 3:633/374
     Re: foo
     ----------------------------------------
     -BORING_ECHO_CONF

As many of these commands as you like can be combined into the
one message,  so both of the above examples could have been in
one request:

     To: EchoArea, 3:633/374
     Re: foo
     ----------------------------------------
     EC_SUPPORT
     -BORING_ECHO_CONF
     ---

Note the tear line (row of dashes) at the end of this example.
Everything after  the tear  line is  ignored, so  you can also
send comments  or queries to your host.  This is useful if you
have a  question relating  to your  conference setup  or  have
problems using EchoArea.


Options.
~~~~~~~~
There are  several optional  commands that  can be  invoked by
either putting  a parameter after your password on the subject
line or by placing a control command in the message text.  All
parameters are preceeded by a '-' character, commands by a '%'
sign.

-Q, %QUERY :  Query.
     The query command will cause EchoArea to create a list of
     all the  echomail areas  that your  system has linked and
     send it back to you.

-L, %LIST : List.
     This is similar to the -Q command above, but it lists all
     the echomail  areas available,  and the areas you already
     have.

-U, %UNLINKED : Unlinked
     This is  the opposite of the -Q, in that it will create a
     list of all the echomail areas your system does not have,
     and send it back to you.

-R, %RESCAN : Rescan
     All conferences  added in  the area manager message, will
     be    rescanned.   Rescan means that all the old messages
     in the area are bundled up and sent.  This is mainly used
     for getting the old messages when adding new areas.  This
     option will  also post  a message  to the  host  system's
     operator, observing that a rescan has been performed.

     The control  command version  of the  rescan  command  is
     slightly different.   While  the '-R' version will rescan
     all areas  listed, the '%RESCAN' will only cause a rescan
     on areas listed after the command.  This is useful if you
     only want to rescan one area.

-H, %HELP : Help.
     EchoArea will  send this  help file  back  to  you  in  a
     netmail message.

-All, %+ALL : All on.
     The all  command will turn on all available areas to your
     system.  Saves doing thirty or so area names.

-NoAll, %-ALL : All off.
     The all  off command  is the  exact opposite  to the  all
     command. It  will turn  all echomail  areas off  for your
     system.

%PAUSE : Pause Mail.
     This command temporarily turns off the mail for yourself,
     while you are on holidays for example.  The mail can be
     resumed with %RESUME.  Note that no areas are actually
     turned off, the mail is just stopped.

%RESUME : Resume Mail.
     This command resumes mail that had been previously paused
     using the %PAUSE command.

%COMMENT  : Comment
     Identical to  the tear  line, '---',  at  the  end  of  a
     message.   Everything following  a  %COMMENT  command  is
     ignored.


     To: EchoArea, 3:633/374
     Re: foo -All
     ----------------------------------------
     -BORING_ECHO_CONF
     %COMMENT
     High there

In this example All conferences would be turned on, but then
BORING_ECHO_CONF will be turned off.  Then, the %COMMENT line
is used to tell Echo Area to disregard all lines after it,
as they are comments.


If you  have any  problems using  EchoArea contact either your
host or one of the Ezycom support sites for more help.
